<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents -&gt; Settings Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.12.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>CapabilityAgents &rarr; Settings Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in CapabilityAgents</th><th class="dirtab">Includes file in Settings</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="dir_ad156fe40e841a0a09e302ebd8b7e03e.html">Storage</a>&#160;/&#160;<a class="el" href="_device_setting_storage_interface_8h.html">DeviceSettingStorageInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_set_setting_result_8h.html">SetSettingResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_event_metadata_8h.html">SettingEventMetadata.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_event_sender_interface_8h.html">SettingEventSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_observer_interface_8h.html">SettingObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_protocol_interface_8h.html">SettingProtocolInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_d_n_d_setting_protocol_8h.html">DNDSettingProtocol.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_status_8h.html">SettingStatus.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_7760842dcf7554b8703c3e156a2b01e3.html">src</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_8cpp.html">DoNotDisturbCapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_event_metadata_8h.html">SettingEventMetadata.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_8h.html">DoNotDisturbCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_device_settings_manager_8h.html">DeviceSettingsManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_8h.html">DoNotDisturbCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="dir_ad156fe40e841a0a09e302ebd8b7e03e.html">Storage</a>&#160;/&#160;<a class="el" href="_device_setting_storage_interface_8h.html">DeviceSettingStorageInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_8h.html">DoNotDisturbCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_8h.html">Setting.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_e0ed9f524f2b6b9372683a368c6b20a1.html">include</a>&#160;/&#160;<a class="el" href="dir_4f1b2970ab3630eae76e35301d90ce21.html">DoNotDisturbCA</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_8h.html">DoNotDisturbCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a>&#160;/&#160;<a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a>&#160;/&#160;<a class="el" href="_setting_event_sender_interface_8h.html">SettingEventSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a>&#160;/&#160;<a class="el" href="dir_a5e39559caeb63d09dcc35685783d070.html">test</a>&#160;/&#160;<a class="el" href="_do_not_disturb_capability_agent_test_8cpp.html">DoNotDisturbCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_99d77744d65312941b5eb82009999c89.html">test</a>&#160;/&#160;<a class="el" href="dir_d0a625497781291379b4be77639d7bd3.html">Settings</a>&#160;/&#160;<a class="el" href="_mock_device_setting_storage_8h.html">MockDeviceSettingStorage.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.12.1 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
